## PhoshArrow

PhoshArrow — An animated arrow

## Functions

PhoshArrow * | phosh_arrow_new ()
double | phosh_arrow_get_progress ()
void | phosh_arrow_set_progress ()

## Properties

double | progress | Read / Write

## Types and Values

#define | PHOSH_TYPE_ARROW
| PhoshArrow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkDrawingArea
                    ╰── PhoshArrow

## Implemented Interfaces

PhoshArrow implements AtkImplementorIface and GtkBuildable.

## Description

An animated arrow that initially points upward and rotates downwards as `progress` increases.

## Functions

### phosh_arrow_new ()

    PhoshArrow *
    phosh_arrow_new (void);

### phosh_arrow_get_progress ()

    double
    phosh_arrow_get_progress (PhoshArrow *self);

### phosh_arrow_set_progress ()

    void
    phosh_arrow_set_progress (PhoshArrow *self,
                              double progress);

## Types and Values

### PHOSH_TYPE_ARROW

    #define PHOSH_TYPE_ARROW (phosh_arrow_get_type())

### PhoshArrow

    typedef struct _PhoshArrow PhoshArrow;

## Property Details

### The `“progress”` property

      “progress”                 double

Progress.

Owner: PhoshArrow

Flags: Read / Write

Allowed values: [0,1]

Default value: 0